Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class InvokerProviderEJB

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.apache.axis.providers.java.JavaProvider
                  org.apache.axis.providers.java.RPCProvider
                      org.jboss.webservice.server.InvokerProvider
                          org.jboss.webservice.server.InvokerProviderEJB

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class InvokerProviderEJB
extends InvokerProvider

An Axis RPC provider for EJB endpoints.

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.webservice.server.InvokerProvider
`handlerChain, portComponentInfo, server`

Fields inherited from class org.apache.axis.providers.java.RPCProvider
`RPC_INVOCATION`

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_CLASSPATH, OPTION_IS_STATIC, OPTION_SCOPE, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`InvokerProviderEJB()`

Method Summary
`protected ClassLoader` | `getContextClassLoader()` Get the context CLassLoader for this service
`void` | `initServiceDesc(org.apache.axis.handlers.soap.SOAPService service, org.apache.axis.MessageContext msgContext)` Get deployment meta info
`protected Object` | `invokeServiceEndpoint(org.apache.axis.MessageContext msgContext, Method method, Object obj, Object[] argValues)` This method encapsulates the method invocation.
`protected Object` | `makeNewServiceObject(org.apache.axis.MessageContext msgContext, String className)` The actual invocation is done through the container, not through this object.
`protected void` | `processException(Exception ex)` Unwrap a potential MBeanException

Methods inherited from class org.jboss.webservice.server.InvokerProvider
`createRPCInvocation, generateWSDL, getDocumentForPath, getPortComponentInfo, getServiceClass, getServiceClassName, invokeMethod`

Methods inherited from class org.apache.axis.providers.java.RPCProvider
`checkMethodName, invokeTarget, processMessage`

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`getServiceClassNameOptionName, getServiceObject, invoke`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokerProviderEJB

    public InvokerProviderEJB()

Method Detail

### initServiceDesc

    public void initServiceDesc(org.apache.axis.handlers.soap.SOAPService service,
                                org.apache.axis.MessageContext msgContext)
                         throws org.apache.axis.AxisFault

  Get deployment meta info

  Overrides:
    `initServiceDesc` in class `InvokerProvider`
  Parameters:
    `msgContext` - the SOAP MessageContext, or null
  Throws:
    `org.apache.axis.AxisFault`

### getContextClassLoader

    protected ClassLoader getContextClassLoader()

  Get the context CLassLoader for this service

  Specified by:
    `getContextClassLoader` in class `InvokerProvider`

### makeNewServiceObject

    protected Object makeNewServiceObject(org.apache.axis.MessageContext msgContext,
                                          String className)
                                   throws Exception

  The actual invocation is done through the container, not through this object.

  Throws:
    `Exception`

### invokeServiceEndpoint

    protected Object invokeServiceEndpoint(org.apache.axis.MessageContext msgContext,
                                           Method method,
                                           Object obj,
                                           Object[] argValues)
                                    throws Exception

  This method encapsulates the method invocation.

  Specified by:
    `invokeServiceEndpoint` in class `InvokerProvider`
  Parameters:
    `msgContext` - MessageContext
    `method` - the target method.
    `obj` - the target object
    `argValues` - the method arguments
  Throws:
    `Exception`

### processException

    protected void processException(Exception ex)
                             throws org.apache.axis.AxisFault

  Unwrap a potential MBeanException

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.